#ifndef __BINHEAP_H__
#define __BINHEAP_H__

#include "defns.h"


typedef struct _BinaryHeap {
	Type *data;
	unsigned int current_size;
	unsigned int max_size;
} BinaryHeap;

void bhInit(BinaryHeap *heap, unsigned int max_size);
void bhDestroy(BinaryHeap *heap);
void bhInsert(BinaryHeap *heap, Type value);
Type bhDeleteMin(BinaryHeap *heap);
BOOL bhIsEmpty(BinaryHeap *heap);
BOOL bhIsFull(BinaryHeap *heap);
void bhPrint(BinaryHeap *heap);


#endif // __BINHEAP_H__